Subject: Re: bug#22564: Fundamental mode isn't fundamental enough.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 May 2022 09:30:46 +0300

> From: Richard Stallman <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked], [email-masked], [email-masked]
> Date: Fri, 06 May 2022 19:20:54 -0400
> 
>     > As a simple example, try this in fundamental mode, on an empty line:
> 
>     >   C-u 10 SPC C-u 10 x RET
> 
> As far as I could see,  it did not change anything.
> So I tried again in emacs -Q, and I saw it indented the
> following line.

Are you customizing the command bound to RET in your init files?

Indenting the following line is the expected default behavior, yes.

>   > Nevertheless, if we describe better what the newline and similar
>   > characters do in electric-indent-mode, that would cover Fundamental as
>   > well,
> 
> If the description of thoe characters' default behavior is concrete enough,
> I think it would do the job.

All I can offer to say is what I said here:

>   >                    I think it is better to say that this mode
>   > automatically indents the current line according to the context (the
>   > surrounding lines) and the rules of the major mode.

> Maybe.  But I do think the term "reindent" needs to be explined
> somewhere in the Emacs manual.

If all we need to say is that reindent means to remove any indentation
and then indent the line according to context and major mode's rules,
that's simple enough.